#!/bin/bash
function run_models() {
  local max_acc="0.0"
  local best_model=$0
  until [ $# -eq 0 ]
  do
    local acc=$(./bin deploy.prototxt models/$1 | tail -n 1 | sed 's/accuracy \([01]\.[0-9]*\)/\1/g')
    if [[ $acc > $max_acc ]];then
      max_acc=$acc
      best_model=$1
    fi
    shift
  done
  printf "best model: %s, accuracy: %s\n" $best_model $max_acc
}

models=$(ls ./models | grep "\.model$")
run_models $models
